'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

exports.shouldUpdateHeader = shouldUpdateHeader;
exports.shouldUpdateBody = shouldUpdateBody;
exports.shouldUpdateRow = shouldUpdateRow;
exports.shouldUpdateCellGroup = shouldUpdateCellGroup;

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function shouldUpdateHeader(oldProps, nextProps) {
  var a = oldProps.leftFixedColumns,
      b = oldProps.scrollableColumns,
      c = oldProps.rightFixedColumns,
      d = oldProps.leftFixedLeafColumns,
      e = oldProps.scrollableLeafColumns,
      f = oldProps.rightFixedLeafColumns,
      g = oldProps.leftFixedColumnsWidth,
      h = oldProps.scrollableColumnsWidth,
      i = oldProps.rightFixedColumnsWidth,
      oldOtherProps = (0, _objectWithoutProperties3.default)(oldProps, ['leftFixedColumns', 'scrollableColumns', 'rightFixedColumns', 'leftFixedLeafColumns', 'scrollableLeafColumns', 'rightFixedLeafColumns', 'leftFixedColumnsWidth', 'scrollableColumnsWidth', 'rightFixedColumnsWidth']);
  var leftFixedColumns = nextProps.leftFixedColumns,
      scrollableColumns = nextProps.scrollableColumns,
      rightFixedColumns = nextProps.rightFixedColumns,
      leftFixedLeafColumns = nextProps.leftFixedLeafColumns,
      scrollableLeafColumns = nextProps.scrollableLeafColumns,
      rightFixedLeafColumns = nextProps.rightFixedLeafColumns,
      leftFixedColumnsWidth = nextProps.leftFixedColumnsWidth,
      scrollableColumnsWidth = nextProps.scrollableColumnsWidth,
      rightFixedColumnsWidth = nextProps.rightFixedColumnsWidth,
      nextOtherProps = (0, _objectWithoutProperties3.default)(nextProps, ['leftFixedColumns', 'scrollableColumns', 'rightFixedColumns', 'leftFixedLeafColumns', 'scrollableLeafColumns', 'rightFixedLeafColumns', 'leftFixedColumnsWidth', 'scrollableColumnsWidth', 'rightFixedColumnsWidth']);


  return !(0, _utils.shallowEqual)(oldOtherProps, nextOtherProps);
}

function shouldUpdateBody(oldProps, nextProps) {
  return shouldUpdateHeader(oldProps, nextProps);
}

function shouldUpdateRow(oldProps, nextProps) {
  return shouldUpdateHeader(oldProps, nextProps);
}

function shouldUpdateCellGroup(oldProps, nextProps) {
  var a = oldProps.columns,
      b = oldProps.leafColumns,
      oldOtherProps = (0, _objectWithoutProperties3.default)(oldProps, ['columns', 'leafColumns']);
  var columns = nextProps.columns,
      leafColumns = nextProps.leafColumns,
      nextOtherProps = (0, _objectWithoutProperties3.default)(nextProps, ['columns', 'leafColumns']);


  return !(0, _utils.shallowEqual)(oldOtherProps, nextOtherProps);
}